libdap::D4EnumDefs Class Reference

`#include <D4EnumDefs.h>`

## Public Types

typedef vector< D4EnumDef * >::const_iterator | D4EnumDefCIter
typedef vector< D4EnumDef * >::iterator | D4EnumDefIter

## Public Member Functions

void | add_enum (D4EnumDef *enum_def)
void | add_enum_nocopy (D4EnumDef *enum_def)
| D4EnumDefs (const D4EnumDefs &rhs)
bool | empty () const
D4EnumDefIter | enum_begin ()
| Get an iterator to the start of the enumerations. More...
D4EnumDefIter | enum_end ()
| Get an iterator to the end of the enumerations. More...
D4EnumDef * | find_enum_def (const string &name)
void | insert_enum (D4EnumDef *enum_def, D4EnumDefIter i)
| Insert a D4EnumDef. Insert a D4EnumDef before the position specified by the iterator. More...
D4EnumDefs & | operator= (const D4EnumDefs &rhs)
D4Group * | parent () const
void | print_dap4 (XMLWriter &xml, bool constrained=false) const
void | set_parent (D4Group *p)

## Detailed Description

The Enumerations defined for a Group.

Definition at line 100 of file D4EnumDefs.h.

## Member Function Documentation

## add_enum()

void libdap::D4EnumDefs::add_enum | ( | D4EnumDef * | enum_def | ) |

inline

Append a new D4EnumDef.

Parameters

  enum_def | The enumeration.

Definition at line 147 of file D4EnumDefs.h.

## enum_begin()

D4EnumDefIter libdap::D4EnumDefs::enum_begin | ( |  | ) |

inline

Get an iterator to the start of the enumerations.

Definition at line 156 of file D4EnumDefs.h.

## enum_end()

D4EnumDefIter libdap::D4EnumDefs::enum_end | ( |  | ) |

inline

Get an iterator to the end of the enumerations.

Definition at line 159 of file D4EnumDefs.h.

## insert_enum()

void libdap::D4EnumDefs::insert_enum | ( | D4EnumDef * | enum_def,
|  | D4EnumDefIter | i
| ) |  |

inline

Insert a D4EnumDef. Insert a D4EnumDef before the position specified by the iterator.

Note
  Calling this method invalidates all iterators that reference this D4EnumDef object.

Parameters

  enum_def | Make a deep copy and insert the enumeration definition
  i | iterator

Definition at line 171 of file D4EnumDefs.h.

The documentation for this class was generated from the following files:

- D4EnumDefs.h
- D4EnumDefs.cc